package com.kamco.cd.kamcoback.log.dto;

import com.kamco.cd.kamcoback.common.utils.enums.EnumType;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum EventStatus implements EnumType {
  SUCCESS("이벤트 결과 성공"),
  FAILED("이벤트 결과 실패");

  private final String desc;

  @Override
  public String getId() {
    return name();
  }

  @Override
  public String getText() {
    return desc;
  }
}
